/* GCC */
#include <iostream>
#include <cmath>
#include <vector>
#include <algorithm>
#include <cstdio>

using namespace std;

int a, b;

bool check(int n)
{
    if (a == b || b == n|| a == n) return false;
    if ((a*n) % b != 0) return false;
    if ((b*n) % a != 0) return false;
    return true;

}

int main()
{
    freopen("numbers.out", "w", stdout);
    freopen("numbers.in", "r", stdin);
    cin >> a >> b;
    int num = 0;
    for(int n = 1; n <= a*b; n++)
    {
        if ((a*b) % n != 0) continue;
        if ((a*n) < b) continue;
        if ((b*n) < a) continue;
        if (check(n )) num++;
    }
    cout << num << endl;
    return 0;
}

