/* GCC */

#include <iostream>
#include <fstream>
#include <algorithm>
#include <cmath>

using namespace std;

typedef long long ll;

ll NOD(ll a, ll b)
{
    while (a!=b)
    {
        if (a>b) a-=b;
        else b-=a;
    }
    return a;
}

ll ff(ll a, ll b)
{

    return (max(a,b)/NOD(a,b));
}

ll min_c(ll a)
{
    for (ll i=2; i < sqrt(a)+1; i++)
    {
        if (a%i==0) return i;
    }
    return a;
}

void kor(ll n, ll m)
{
    ofstream fout;
    fout.open("numbers.out");

    int cnt=0;
    int start = NOD(n, m);
    int iter = start;
    if (n%2==m%2) iter=2;

    for (ll i=1; i<n*m+2; i++)
    {
        if (i!=n && i!=m)
        {
            if ((i*n)%m == 0 && (i*m)%n == 0 && (n*m)%i == 0){
                    cnt++;
            }
        }

    }
    fout << cnt << "\n";
    fout.close();
}

void dlin(ll n, ll m)
{
    ofstream fout;
    fout.open("numbers.out");

    int cnt=0;
    int start = ff(n,m);

    for (ll i=start; i<n*m+8; i+=start)
    {
        if (i!=n && i!=m)
        {
            if ((i*n)%m == 0 && (i*m)%n == 0 && (n*m)%i == 0){
                    cnt++;
            }
        }

    }
    fout << cnt << "\n";
    fout.close();
}

int main()
{
    ifstream fin;
    fin.open("numbers.in");
    int n,m;
    fin >> n >> m;

    fin.close();

    if (n>1 || m>1){
        dlin (n, m);
    }
    else kor(n, m);
    return 0;
}
