/* GCC */

#include <iostream>
#include <fstream>
#include <string>

using namespace std;

void Restore_Heap(long m[], long father, long count_tree)
{
    while (father<=count_tree/2)
    {
        long maxson;
        if(father*2==count_tree)
            maxson=father*2;
        else if(m[father*2]>m[father*2-1])
            maxson=father*2+1;
        else
            maxson=father*2;
        if(m[maxson-1]>m[father-1])
        {
            swap(m[maxson-1],m[father-1]);
            father=maxson;
        }
        else
            father=count_tree;
    }
}

void HeapSort(long m[],long n)
{
    for(long i=n/2;i>0;--i)
        Restore_Heap(m,i,n);
    for(long i=n;i>1;--i)
    {
        swap(m[0],m[i-1]);
        Restore_Heap(m,1,i-1);
    }
}

long mas[1000000];

int main()
{
    freopen("triangle.in","r",stdin);
    freopen("triangle.out","w",stdout);
    long n;
    cin >> n;
    for(long i=0;i<n;++i)
        cin >> mas[i];
    HeapSort(mas,n);
    string s;
    cin >> s;
    if (s[1]=='a')
    {
        for (long i=n-1;i>1;--i)
        {
            if (i==n-1 || mas[i]!=mas[i+1])
            {
                for (long j=i-1;j>0 && mas[j]+mas[j+1]>mas[i];--j)
                {
                    if (mas[i]+mas[j]>mas[j-1] && mas[i]+mas[j-1]>mas[j])
                    {
                        cout << mas[i]+mas[j]+mas[j-1] << '\n';
                        return 0;
                    }
                }
            }
        }
        cout << "none" << '\n';
    }
    else
    {
        for (long i=0;i<n-2;++i)
        {
            if (i==0 || mas[i]!=mas[i-1])
            {
                for (long j=i+1;j<n-1 && mas[j]+mas[j+1]>mas[i];++j)
                    if (mas[i]+mas[j]>mas[j+1] && mas[i]+mas[j+1]>mas[j])
                    {
                        cout << mas[i]+mas[j]+mas[j+1] << '\n';
                        return 0;
                    }
            }
        }
        cout << "none" << '\n';
    }
    return 0;

}
