/* GCC */
#define maxn 1000
#define LEN  0
#define OFF  maxn-1
#include <iostream>
#include <cstdlib>
#include <cstdio>
#include <algorithm>
#include <vector>
#include <map>

struct pt {
    int x, y;
};

int n, C;

// input list
int k[maxn+3][maxn+3];
// on-round matrix
bool m[maxn+3][maxn+3];
// on-round list of positions
pt x[maxn+3];

using namespace std;

int firstLink(int v) {
    return k[v][1+k[v][OFF]];
}

void round() {
    int xn = 0;
    for (int i = 1; i <= n; i++) {
        int j = firstLink(i);
        if (j <= 0) {
            continue;
        }

        m[i][j] = true;

        x[xn].x = i;
        x[xn].y = j;
        xn++;
    }

    bool first = false;
    for (int i = 0; i < xn; i++) {
        pt o = x[i];

        if (!first && m[o.x][o.y] == true && m[o.y][o.x] == true) {
            cout << o.x << " " << o.y << endl;

            k[o.x][OFF]++;
            k[o.y][OFF]++;

            first = true;
        }

        m[o.x][o.y] = false;
        m[o.y][o.x] = false;
    }

    C++;
}

int main() {
    freopen("graph.in", "r", stdin);
    freopen("graph.out", "w", stdout);

    scanf("%d\n", &n);
    for (int i = 1; i <= n; i++) {
        int j = 0;
        char c = 0;
        while (c != '\n') {
            j++;
            scanf("%d%c", &k[i][j], &c);
        }

        k[i][LEN] = j;
    }

    while (C < n) {
        round();
    }

    return 0;
}













