/* GCC */
#include <iostream>
#include <fstream>

using namespace std;

bool ifTriangle(int a,int b,int c) {
    if (a+b>c&&a+c>b&&b+c>a){
        return true;
    }
    return false;
}

long maxPer(int *x,int n){
    long p=0;
    for (int i=0;i<n;i++) {
            for (int j=i;j<n;j++) {
                    for (int k=j;k<n;k++) {
                            if (k==i||k==j||j==i){
                                continue;
                            }
                            if (ifTriangle(x[i],x[j],x[k])&&(p<x[i]+x[j]+x[k])) {
                                p=x[i]+x[j]+x[k];
                            }
                    }
        }
    }
    return p;
}

long minPer(int *x,int n){
    long p=0;
    for (int i=0;i<n;i++) {
        p+=x[i];
    }
    for (int i=0;i<n;i++) {
            for (int j=i;j<n;j++) {
                    for (int k=j;k<n;k++) {
                            if (k==i||k==j||j==i){
                                continue;
                            }
                            if (ifTriangle(x[i],x[j],x[k])&&(p>x[i]+x[j]+x[k])) {
                                p=x[i]+x[j]+x[k];
                            }
                    }
        }
    }
    return p;
}

int main()
{
    string er="none";
    ifstream fin ("triangle.in");
    ofstream fout("triangle.out");
    int n,sum;
    fin>>n;
    int *arr=new int [n];
    for (int i=0;i<n;i++) {
        fin>>arr[i];
    }
    for (int i=0;i<n;i++) {
        sum+=arr[i];
    }
    string s;
    fin>>s;



    if(s=="max"){
            if(maxPer(arr,n)!=0){
            fout<<maxPer(arr,n);
            } else {
            fout<<er;
            }
    } else if (s=="min"){
        if(minPer(arr,n)!=sum){
            fout<<minPer(arr,n);
            } else {
            fout<<er;
            }
    }
    fin.close();
    fout.close();
    delete []arr;
    return 0;
}
