/* GCC */
#include <iostream>
#include <algorithm>
#include <vector>
#include <cstdio>

using namespace std;

const int nmax = 1010;

int n;
vector <int> g[nmax];
vector < pair <int, int> > e;

int main()
{
    ios_base::sync_with_stdio(0);
    freopen("graph.in", "r", stdin);
    freopen("graph.out", "w", stdout);
    scanf("%d\n", &n);
    for (int i = 1; i <= n; ++i)
    {
        char c = getchar();
        while ((int)c != 10)
        {
            if (c == ' ')
                c = getchar();
            int to = 0;
            while (c > 32)
                to = to * 10 + (c - '0'), c = getchar();
            e.push_back(make_pair(min(i, to), max(i, to)));
        }
    }
    sort(e.begin(), e.end());
    for (int i = 0; i < (int)e.size(); i += 2)
        cout << e[i].first << " " << e[i].second << "\n";
    return 0;
}
