/* GCC */
#include <iostream>
#include <cstdio>

using namespace std;

int a, b, cnt = 0;

bool ok(int a, int b, int c)
{
    if ((a * b) % c != 0)
        return 0;
    if ((a * c) % b != 0)
        return 0;
    if ((b * c) % a != 0)
        return 0;
    return 1;
}

int main()
{
    ios_base::sync_with_stdio(0);
    freopen("numbers.in", "r", stdin);
    freopen("numbers.out", "w", stdout);
    cin >> a >> b;
    int c = a * b;
    for (int i = 1; i * i <= c; ++i)
    {
        if (c % i == 0)
        {
             if (i != a && i != b)
                if (ok(a, b, i))
                    ++cnt;
            if ((c/i) != a && (c/i) != b)
                if (i * i != c && ok(a, b, c / i))
                    ++cnt;
        }
    }
    cout << cnt << "\n";
    return 0;
}
