/* GCC */
#include <fstream>
#include <vector>
#include <algorithm>
#include <functional>
#include <limits>

using namespace std;

int main(void)
{
    size_t n, ans(numeric_limits<size_t>::max()), i_max;
    char task[4];
    ifstream in("triangle.in");
    in >> n;
    vector<size_t> v(n);
    for(size_t i = 0; i < n; ++i)
        in >> v[i];
    in >> task;
    in.close();
    if(task[1] == 'i')
    {
        sort(v.begin(), v.end());
        i_max = min(n-2, (size_t)(44));
        for(size_t i = 0; i < i_max; ++i)
            for(size_t j = i+1; j < n-1; ++j)
                if(v[i] + v[j] > v[j+1])
                    ans = min(ans, v[i] + v[j] + v[j+1]);
    }
    else
    {
        sort(v.begin(), v.end(), greater<size_t>());
        for(size_t i = 0; i < n-2; ++i)
            if(v[i+1] + v[i+2] > v[i])
            {
                ans = v[i] + v[i+1] + v[i+2];
                break;
            }
    }
    ofstream out("triangle.out");
    if(ans == numeric_limits<size_t>::max())
        out << "none" << endl;
    else
        out << ans << endl;
    out.close();
    return 0;
}