/* GCC */

#include <iostream>
#include <fstream>

using namespace std;

int main()
{
    ///In
    ifstream in("graph.in", ifstream::in);
    int N; in >> N;
    in.close();

    FILE* f = fopen("graph.in", "rb");
    char * ch = new char;

    while (1)
    {
        fread(ch,1,1,f);
        if (*ch == '\n')
            break;
    }

    int **G = new int*[N];
    int * RAmo = new int[N];
    for (int n = 0; n < N; n++)
    {
        G[n] = new int[N];
        for (int i = 0; i < N; i++)
            G[n][i] = 0;
        RAmo[n] = 0;

        while (1)
        {
            fread(ch,1,1,f);

            if (*ch == '\n')
            {
                RAmo[n]++;
                break;
            }
            else if (*ch == ' ')
                RAmo[n]++;
        }
    }
    fclose(f);

    ifstream in2("graph.in", ifstream::in);
    in2 >> N;
    int TotalR = 0;
    for (int n = 0; n < N; n++)
    {
        TotalR += RAmo[n];
        for (int r = 0; r < RAmo[n]; r++)
            in2 >> G[n][r];
    }
    in.close();
    TotalR /= 2;

    ///Graph

    int TR = TotalR;
    int* A = new int[TotalR];
    int* B = new int[TotalR];
    {
        //TR--;
        for (int n = 0; n < N; n++)
        if (RAmo[n] > 0)
        {
            int n2 = G[n][RAmo[n]-1]-1;
            if (G[n2][RAmo[n2]-1]-1 == n)
            {
                A[TR-1] = n+1; B[TR-1] = n2+1;
                RAmo[n]--; RAmo[n2]--;
                TR--;
            }
        }
    }

    ///Out
    ofstream out ("graph.out");
    for (int r = 0; r < TotalR; r++)
    {
        if (A[r] > B[r])
            out << B[r] << ' ' << A[r] << endl;
        else out << A[r] << ' ' << B[r] << endl;
    }

    return 0;
}
