/* GCC */

#include <iostream>
#include <fstream>
#include <math.h>

using namespace std;

int main()
{
    ///In
    ifstream in("numbers.in", ifstream::in);
    int A,B; in >> A >> B;
    in.close();

    int max = A > B ? A : B;

    ///Simple numbers
    int* S = new int[max];
    int SAmo = 0;
    for (int n = 2; n <= max; n++)
    {
        bool simp = true;
        for (int i = 2; i < n; i++)
            if (n % i == 0)
            {
                simp = false;
                break;
            }

        if (simp)
        {
            S[SAmo] = n;
            SAmo++;
        }
    }

    ///Mul
    char* MA = new char[SAmo];
    char* MB = new char[SAmo];
    for (int m = 0; m < SAmo; m++)
    {
        MA[m] = 0;
        MB[m] = 0;
    }

    while(A > 1)
    for (int s = 0; s < SAmo; s++)
        if (A % S[s] == 0)
        {
            MA[s]++; A /= S[s];
        }
    while(B > 1)
    for (int s = 0; s < SAmo; s++)
        if (B % S[s] == 0)
        {
            MB[s]++; B /= S[s];
        }

    ///Ans
    long long ans = 1;
    bool AIncl = true; bool BIncl = true;
    for (int s = 0; s < SAmo; s++)
    {
        int max = MA[s] + MB[s];
        int min = MA[s] - MB[s];
        if (min < 0) min = -min;

        if (MA[s] < min || MA[s] > max) AIncl = false;
        if (MB[s] < min || MB[s] > max) BIncl = false;

        ans *= (max-min+1);
    }

    if (AIncl) ans--;
    if (BIncl) ans--;

    ///Out
    ofstream out ("numbers.out");
    out << ans << endl;
    out.close();

    return 0;
}
