/* GCC */
#include <iostream>
#include <cstdio>
#include <algorithm>

using namespace std;

const int nmax = 1000010;

int n, N;
unsigned int x[nmax];

int main()
{
    ios_base::sync_with_stdio(0);
    freopen("triangle.in", "r", stdin);
    freopen("triangle.out", "w", stdout);
    cin >> n;
    for (int i = 1; i <= n; ++i)
        cin >> x[i];
    string s;
    cin >> s;
    sort(x + 1, x + n + 1);

    bool ok = 0;
    for (int i = 3; !ok && i <= n; ++i)
        if (x[i - 2] + x[i - 1] > x[i])
            ok = 1;
    if (!ok)
    {
        cout << "none\n";
        return 0;
    }

    if (s == "min")
    {
        for (int i = 1; i + 2 <= n; ++i)
            if (x[i] + x[i + 1] > x[i + 2])
            {
                cout << x[i] + x[i + 1] + x[i + 2] << "\n";
                return 0;
            }
    }
    else
    {
        reverse(x + 1, x + n + 1);
        for (int i = 1; i + 2 <= n; ++i)
            if (x[i] < x[i + 1] + x[i + 2])
            {
                cout << x[i] + x[i + 1] + x[i + 2] << "\n";
                return 0;
            }
    }
    cout << "none\n";
    return 0;
}
